ranges::actions::stride_fn Struct Reference

## Synopsis of methods

constexpr stride_fn | stride {}

## Public Member Functions

template<typename D >
constexpr auto | operator() (D step) const requires detail
template<typename Rng , typename D = range_difference_t<Rng>>
auto | operator() (Rng &&rng, range_difference_t< Rng > const step) const -> Rng requires forward_range< Rng > &&erasable_range< Rng &, iterator_t< Rng >, sentinel_t< Rng >> &&permutable< iterator_t< Rng >>

## Methods

## stride

constexpr stride_fn stride {}

related